org.firebirdsql.gds.ng.wire.crypt

## Class KnownServerKey.PluginSpecificData

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.KnownServerKey.PluginSpecificData

Enclosing class:
  KnownServerKey

    public static final class KnownServerKey.PluginSpecificData
    extends java.lang.Object

Class to hold plugin specific data.

Since:
  5

### Method Summary

All Methods Instance Methods Concrete Methods
`EncryptionIdentifier` `getEncryptionIdentifier()`
`byte[]` `getSpecificData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

#### getSpecificData

    public byte[] getSpecificData()

Returns:
  plugin specific data (can be `null`)